#include<bits/stdc++.h>
using namespace std;
int main()
{
    freopen("bai3_16.inp","r",stdin);
    freopen("bai3_16.out","w",stdout);
    int64_t n;
    cin>>n;
    int64_t a[n+1];
    for(int i=1;i<=n;i++)
    {
        cin>>a[i];
    }
    int64_t k=n;
    sort(a+1,a+n+1);
    for(int64_t i=1;i<n;i++)
    {
        if(a[i]==a[i+1])
        {
            int h=0;
            for(int64_t j=i+1;j<n;j++)
            {
                a[j]=a[j+1];
                h++;
            }
            n-=h;
        }
    }
    int kt=0;
    for(int64_t i=1;i<=n;i++)
    {
        if(a[i]!=i)
        {
            kt=1;
            cout<<i;
            break;
        }
    }
    if(kt!=1)
    {
        cout<<k+1;
    }
}
